/* Scrollbar */
body::-webkit-scrollbar {
    width: 8px;
}
body::-webkit-scrollbar-track {
    border-radius: 0;
    background: #F9F9FC;
}
body::-webkit-scrollbar-thumb {
    background: #c5c9d5;
    border-radius: 0;
}

/* Header */
header.wp-block-template-part {
    position: fixed;
    top: 0;
    z-index: 99;
    width: 100%;
    transition: all 0.3s ease;
    background-color: #fff;
}
header.wp-block-template-part.in-view {
    background: #fff;
    transition: all 0.3s ease;
	box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
}

html {
    scroll-behavior: smooth;
}
main {
    min-height: calc(100vh - 85px);
}

/* Footer */
footer.wp-block-template-part {
	margin-top: 0;
    padding-bottom: 50px;
}

/* General */
body :where(.wp-site-blocks *:focus) {
    outline-width: 0;
}

.wp-block-navigation .wp-block-navigation-item .wp-block-navigation-item__content {
    -webkit-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    transition: all 0.3s ease;
    text-decoration: none;
}
.wp-block-navigation .wp-block-navigation-item.current-menu-item .wp-block-navigation-item__content {
    opacity: .7;
    text-decoration: none;
}
.wp-block-navigation .wp-block-navigation-item.current-menu-item .wp-block-navigation-item__content:after { 
    width: 100%;
    opacity: .7;
}

header.wp-block-template-part .wp-block-navigation-item__content:after {
    content: '';
    display: block;
    position: relative;
    z-index: 1;
    top: auto;
    bottom: -2px;
    left: 0;
    width: 0;
    height: 2px;
    -webkit-transition: all 0.2s ease;
    -ms-transition: all 0.2s ease;
    transition: all 0.2s ease;  
    background-color: var(--wp--preset--color--contrast);
}  
header.wp-block-template-part .wp-block-navigation > .wp-block-navigation-item > .wp-block-navigation-item__content:hover:after { 
    width: 100%;    
}

header.wp-block-template-part .wp-block-navigation .has-child .wp-block-navigation-submenu__toggle[aria-expanded=true]~.wp-block-navigation__submenu-container { 
    border: 0;
    margin-top: 30px;
    min-width: 250px;
}
@media screen and (max-width: 767.98px) {
    header.wp-block-template-part .wp-block-navigation .wp-block-navigation-item:not(:last-child) {
        border-bottom: 1px solid #343f5291;
        position: relative;
    }
    header.wp-block-template-part .wp-block-navigation__container.wp-block-navigation {
        width: 100%;
        gap: 0 !important;
    }
    header.wp-block-template-part li.wp-block-navigation-item, header.wp-block-template-part li.wp-block-navigation-item a.wp-block-navigation-item__content {
        width: 100%;
        line-height: 36px;
    }
    header.wp-block-template-part li.wp-block-navigation-item a.wp-block-navigation-item__content:after {
        height: 0;
    }
    header.wp-block-template-part .wp-block-navigation-item.open-on-click .wp-block-navigation-submenu__toggle {
        width: 100%;
    }
    header.wp-block-template-part .wp-block-navigation-item.open-on-click .wp-block-navigation-submenu__toggle:after {
        content: '❮';
        float: right;
        transform: rotate(-90deg);
        right: 12px;
        height: auto;
        left: auto;
        width: 0 !important;
    }
    header.wp-block-template-part .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__submenu-container.wp-block-navigation__submenu-container.wp-block-navigation__submenu-container.wp-block-navigation__submenu-container {
        overflow: hidden;
        height: 0;
        padding: 0;
        width: 100%;
    }
    header.wp-block-template-part .wp-block-navigation .has-child .wp-block-navigation-submenu__toggle[aria-expanded=true]~.wp-block-navigation__submenu-container, .wp-block-navigation .has-child:not(.open-on-click):hover>.wp-block-navigation__submenu-container, .wp-block-navigation .has-child:not(.open-on-click):not(.open-on-hover-click):focus-within>.wp-block-navigation__submenu-container {
        height: auto !important;
    }
    header.wp-block-template-part .wp-block-navigation .has-child .wp-block-navigation-submenu__toggle[aria-expanded=true]~.wp-block-navigation__submenu-container {
        margin-top: 0;
    }
    header.wp-block-template-part .wp-block-navigation .has-child .wp-block-navigation__submenu-container .wp-block-navigation-item__content .wp-block-navigation-item__label {
        padding-left: 15px;
    }
}

header.wp-block-template-part a:hover, header.wp-block-template-part a:focus {
	opacity: .7;
}



p.text-decoration-none a {
    text-decoration: none;
}
/* Form */

.wpcf7-form .wp-block-columns { 
	gap: 1em;
}
.wpcf7-form .wp-block-column p { 
    margin-top: 0;
}
input.wpcf7-text, textarea.wpcf7-textarea, input.wpcf7-email {
	display: block;
    box-sizing: border-box;
    width: 100%;
    padding: 0.75rem 1rem;
    font-size: 1.2rem;
    background: rgba(255, 255, 255, 0.05);
    border: 1px solid var(--color--cf7);
    color: var(--color--cf7);
	font-family: var(--wp--preset--font-family--fustat);
    border-radius: 8px;
}
.wpcf7-form-control::placeholder {
    color: var(--color--cf7);
}
.wpcf7-acceptance .wpcf7-list-item {
    display: inline-block;
    margin: 0;
}
.wpcf7-acceptance .wpcf7-list-item input[type='checkbox'], .wpcf7-checkbox input[type='checkbox'] {
    width: 1.5em;
    height: 1.5em;
    margin-top: 0.25em;
    vertical-align: top;
    background-color: transparent;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    border: 1px solid var(--color--cf7);
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    -webkit-print-color-adjust: exact;
    color-adjust: exact;
    print-color-adjust: exact;
    float: left;
    margin-left: -30px;
}
.wpcf7-acceptance .wpcf7-list-item label, 
.wpcf7-checkbox label {
    display: block;
    min-height: 1.5rem;
	padding-left: 30px;
    box-sizing: border-box;
}
.wpcf7-acceptance .wpcf7-list-item label span.wpcf7-list-item-label,
.wpcf7-checkbox label span.wpcf7-list-item-label {
	font-size: .85em;
    line-height: 1.1;	
}	
.wpcf7-acceptance .wpcf7-list-item input[type='checkbox']:checked, 
.wpcf7-checkbox input[type='checkbox']:checked {
    background-color: var(--wp--preset--color--contrast);
    border-color: var(--wp--preset--color--contrast);
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='M6 10l3 3l6-6'/%3e%3c/svg%3e"); 
}
.wpcf7-form .wpcf7-not-valid-tip {
    font-size: .875em;
    padding: 7px 0 0;
}
.wpcf7 form.invalid .wpcf7-response-output, .wpcf7 form.failed .wpcf7-response-output, .wpcf7 form.sent .wpcf7-response-output, .wpcf7 form .wpcf7-response-output {
    margin: 30px 0 0;
    padding: 10px 20px;
    border-radius: 4px;
}
div.wpcf7-mail-sent-ok, .wpcf7 form.sent .wpcf7-response-output {
    background: #398f14;
    border: 0;
    color: #fff;
}
div.wpcf7-mail-sent-ng, .wpcf7 form.failed .wpcf7-response-output {
    background: #dc3545;
    border: 0;
    color: #fff;
}
div.wpcf7-spam-blocked {
    background: #ffa500;
    border: 0;
    color: #000;
}
div.wpcf7-validation-errors, .wpcf7 form.invalid .wpcf7-response-output {
    background: #ffb900;
    border: 0;
    color: #000;
}

.wpcf7-form.text-dark {
    --color--cf7: #111;  
}
.wpcf7-form.text-light {
    --color--cf7: #fff;  
}

p.is-style-text-justify {
    text-align: justify !important;   
}    

*:not(.no__arrow) > a.wp-block-button__link {
    position: relative;
    padding-right: calc(2.25rem + 20px);
    overflow: hidden;
}
*:not(.no__arrow) > .wp-block-button__link:before, *:not(.no__arrow) > .wp-block-button__link:after {
    content: "\f135";
    font-family: "bootstrap-icons";
    font-style: normal;
    font-size: 26px;
    font-weight: 400;
    margin: 0;
    line-height: inherit;
    color: inherit;
    position: absolute;
    z-index: 1;
    right: 5px;
    top: 4px;
    padding-right: 1px;
    -webkit-transition: right 0.3s ease, opacity 0.3s ease;
    -ms-transition: right 0.3s ease, opacity 0.3s ease;
    transition: right 0.3s ease, opacity 0.3s ease;
}
.wp-block-button__link:before {
    right: 20px;
    opacity: 0;
}
.wp-block-button__link:hover:before {
    opacity: 1;
    right: 5px;
}
.wp-block-button__link:hover:after {
    opacity: 0;
    right: -20px;
}

.wp-block-getwid-tabs__nav-link.ui-tabs-active {
    border-color: var(--wp--preset--color--contrast);
    background: var(--wp--preset--color--contrast);
    position: relative;
}
.wp-block-getwid-tabs__nav-link.ui-tabs-active a {
    color: var(--wp--preset--color--base) !important;   
}    

.wp-block-getwid-tabs__nav-link.ui-tabs-active:after {
    content: '';
    display: block;
    width: 0px;
    height: 0px;
    border-style: solid;
    border-width: 10px 6px 0 6px;
    border-color: #343f52 transparent transparent transparent;
    position: absolute;
    bottom: -10px;
    left: 50%;
    margin-left: -6px;
}  
.wp-block-getwid-tabs__nav-link {
    border: 0;
    border-bottom-width: 0;
    border-radius: 10px;
    border-style: solid;
    border-color: transparent;
    -webkit-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    transition: all 0.3s ease;
}
.wp-block-getwid-tabs__nav-link:hover {
    opacity: .7; 
    border-color: #343f52;
}   
.wp-block-getwid-tabs__tab-content-wrapper {
    margin-top: 1.5rem;
}
.wp-block-getwid-tabs__tab-content {
    border: 0px solid #343f52;
    background: transparent;
    padding: 0;
}
.wp-block-getwid-tabs__nav-link a {
    padding: 8px 16px !important;
}
.wp-block-getwid-tabs .wp-block-getwid-tabs__title-wrapper {
    font-size: 28px;
}

.wp-block-outermost-icon-block a.svg-nav-link {
    opacity: .35;
}
.wp-block-outermost-icon-block a.svg-nav-link.active {
    opacity: 1;
}
.wp-block-outermost-icon-block a.svg-nav-link:hover {
    transform: none;
    opacity: 1;
}

.valore-group {
    height: 100%;
    display: flex;
    flex-direction: column;
}
.valore-group .wp-block-buttons {
    margin-top: auto;
}

.wp-block-post-excerpt__more-link {
    text-decoration: none;
    padding: 6px 18px;
    border-radius: 8px;
    font-size: .95rem;
    background: #343f52;
    color: white;
}
.wp-block-post-excerpt__more-link:hover {
    opacity: .7;
}   

.dogma:not(.active) {
    padding-left: 0;
    opacity: .7;
}  
.dogma.active {
    padding-left: 2rem;
    position: relative;
}
.dogma.active:before {
    position: absolute;
    top: 0;
    left: 0;
    content: '';
    width: 4px;
    height: 100px;
    background-color: #343f52;
}
#dogma-1.active:before {
    background-color: #ed7d31; 
}
#dogma-2.active:before {
    background-color: #a5a5a5; 
} 
#dogma-3.active:before {
    background-color: #ffc000; 
}

#c_genio, #c_guerriero, #c_poeta {
    pointer-events: bounding-box;
    cursor: pointer;
}   

#c_genio:hover path[fill=transparent] {
    fill: #fef3e4;
} 
#c_guerriero:hover path[fill=transparent] {
    fill: #e0e9fa;
}
#c_poeta:hover path[fill=transparent] {
    fill: #eaf3ef;
}

@media screen and (min-width: 600px) {
    #sidebar {
        position: sticky;
        top: 100px;
    }
    .dogma {
        scroll-margin-top: 100px; 
        transition: all 0.3sease;
    }   
}
@media screen and (max-width: 992px) {
    .wp-block-getwid-tabs .wp-block-getwid-tabs__title-wrapper {
        font-size: 24px;
    }
    .wp-block-getwid-tabs__nav-links {
        flex-wrap: nowrap;
    }    
}
@media screen and (max-width: 600px) {
    .wp-block-getwid-tabs .wp-block-getwid-tabs__title-wrapper {
        font-size: 16px;
    }
    .wp-block-getwid-tabs__nav-links {
        flex-wrap: nowrap; 
    } 
    .wp-block-getwid-tabs__nav-link a {
        padding: 12px 12px !important;
    }
    
    #dogma-1 {
        scroll-margin-top: 100px;
    }  
    #dogma-2 {
        scroll-margin-top: 220px;
    }
    #dogma-3 {
        scroll-margin-top: 220px;
    }     
    .wp-block-outermost-icon-block a.svg-nav-link {
        opacity: .7;
    }   
}
@media screen and (max-width: 380px) {
  #logo a {
    max-width: 260px;
  }  
}    

#back-to-top {
    position: fixed;
    right: 10px;
    bottom: 60px;
    z-index: 999;
    transform: rotate(-90deg);
    width: 32px;
    height: 32px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 0;
    background: #343f52;
    color: #fff;
    border-radius: 4px;
    padding-bottom: 3px;
    cursor: pointer;
    opacity: 0;
    visibility: hidden;
    transition: visibility 0slinear 0.3s, opacity 0.3s;
}
#back-to-top.visible {
    opacity: 1;
    visibility: visible;
    transition: visibility 0slinear 0s, opacity 0.3s;
}

#ez-toc-container {
    border: 0 !important; 
    padding: 0 !important; 
    box-shadow: none !important; 
    margin-bottom: 0 !important;
}  
.ez-toc-title-container p {
    margin: 0 0 .75rem;
}
#ez-toc-container a {
    color: #343f52 !important; 
    font-weight: 700;
    font-size: 1.125rem;
} 
div#ez-toc-container .ez-toc-title {
    font-style: normal;
    font-weight: 700 !important;  
    letter-spacing: 1.4px;
    text-transform: uppercase;
}
div#ez-toc-container > nav > ul > li {
    margin-bottom: 5px;
    line-height: 1.3;
}
.h-100 {
    height: 100%; 
}
#footer-bar {
    position: fixed;
    width: 100%;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(52,63,82, 0.85);
    z-index: 99;
}
#footer-bar .container {
    display: flex;
    margin: 0 auto;
    max-width: var(--wp--style--global--wide-size);
}   
#footer-bar .col {
    flex-grow: 1;
    text-align: center;
}
#footer-bar a {
    display: inline-flex;
    justify-content: center;
    gap: 10px;
    width: 100%;
    line-height: 1;
    padding: 16px 0;
    text-align: center;
    transition: all .3s;   
    text-decoration: none;
    color: #fff;
}    
#footer-bar a:hover {
    background-color: rgba(255,255,255, 0.5);
    color: #343f52;   
}    

.box-servizio {
    transition: all 0.3s ease;
}   
.box-servizio:hover, .box-servizio:focus {
    color: var(--wp--preset--color--base) !important;    
}    
.box-servizio:hover svg {
    fill: var(--wp--preset--color--base) !important;
}
.box-servizio:hover .wp-block-button__link {
    color: var(--wp--preset--color--base) !important;
}
.box-servizio.color-1:hover, .box-servizio.color-1:focus {
    background-color: var(--wp--preset--color--custom-color-1) !important;
} 
.box-servizio.color-2:hover, .box-servizio.color-2:focus {
    background-color: var(--wp--preset--color--custom-color-2) !important;
} 
.box-servizio.color-3:hover, .box-servizio.color-3:focus {
    background-color: var(--wp--preset--color--custom-color-3) !important;
} 
.box-servizio.color-4:hover, .box-servizio.color-4:focus {
    background-color: var(--wp--preset--color--custom-color-4) !important;
} 

.wp-block-post-comments-form textarea, .wp-block-post-comments-form input:not([type=submit]) {
    border-color: var(--wp--preset--color--contrast) !important;
}

h3.related-title {
    font-size: 1.125rem !important;
}  

#newsletter .wp-block-group.alignfull {
    justify-content: flex-end;
    align-items: flex-start;
    flex-wrap: nowrap;
    gap: .75rem;
}
#newsletter .wp-block-group.alignfull p {
    margin: 0;
    position: relative;
}    
#newsletter div.wpcf7-validation-errors, #newsletter .wpcf7-response-output {
    position: fixed;
    bottom: 10px;
    width: 96%;
    left: 2%;
    z-index: 999;
    box-sizing: border-box;
    text-align: center;
}

@media (max-width: 1023px) {
    #newsletter .wp-block-group.alignfull {
         justify-content: flex-start;
    }
}
#newsletter .wpcf7-spinner {
    position: absolute;
    right: 0;
}

.wp-block-group.tw-stretched-link {
    transition: all 0.3s ease;
}
.wp-block-group.tw-stretched-link:hover {
    opacity: .6;
    padding-right: 15px;
}  


.page-template:not(.home) #newsletter-block > div.wp-block-group {
    border-top: 1px solid rgba(52,63,82,1) !important;
}

ul.elenco-numerato, ul.elenco-semplice {
  list-style: none;
  counter-reset: num;
  padding-left: 15px;
}
ul.elenco-numerato li {
    counter-increment: num;
    display: flex;
    align-items: flex-start;
    text-align: justify;
}
ul.elenco-semplice li {
    display: flex;
    align-items: flex-start;
    text-align: justify;
}
ul.elenco-numerato li:before {
    content: counter(num);
    background: #343f52;
    width: 25px;
    min-width: 25px;
    line-height: 25px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    color: white;
    font-weight: 800;
    font-size: 16px;
    margin-right: 15px;
}
ul.elenco-numerato.custom-color-1 li:before,
ul.elenco-semplice.custom-color-1 li:before {
    background: var(--wp--preset--color--custom-color-1);    
}    
ul.elenco-numerato.custom-color-2 li:before,
ul.elenco-semplice.custom-color-2 li:before {
    background: var(--wp--preset--color--custom-color-2);    
}
ul.elenco-numerato.custom-color-3 li:before,
ul.elenco-semplice.custom-color-3 li:before {
    background: var(--wp--preset--color--custom-color-3);    
}
ul.elenco-numerato.custom-color-4 li:before,
ul.elenco-semplice.custom-color-4 li:before {
    background: var(--wp--preset--color--custom-color-4);    
}

ul.elenco-semplice li:before {
    background: #343f52;
    content: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' viewBox='0 0 8 8'%3e%3cpath fill='%23fff' transform='translate(0.1 0.2)' d='M6.564.75l-3.59 3.612-1.538-1.55L0 4.26l2.974 2.99L8 2.193z'/%3e%3c/svg%3e");
    width: 25px;
    height: 25px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    color: white;
    font-weight: bold;
    margin-right: 15px;
}

@media screen and (max-width: 600px) {
  ul.elenco-numerato, ul.elenco-semplice {
    padding-left: 0;
  }
  .testimonial-carousel .slick-prev, .testimonial-carousel .slick-next {
    display: none !important;
  } 
}

#page-cover {
    padding: 0;
}
#page-cover .wp-block-cover__inner-container {
    width: 100%;
}

.testimonial-carousel .slick-track {
    display: flex !important;
}
.testimonial-carousel .slick-slide {
    height: inherit !important;
}
.testimonial-carousel .wp-block-getwid-content-slider-slide__wrapper,
.testimonial-carousel .wp-block-getwid-content-slider-slide__wrapper .wp-block-group {
    height: 100%;
}
   
